Rem ******************************************************************************
Rem CHART.BAS Declaration statements for Visual Basic programs
Rem     This is the translation of CHART.H (include file for 'C' environment)
Rem     for Visual Basic environment.  This module must be included
Rem     into your Visual Basic project
Rem *****************************************************************************

Rem Chart Types Constants
Global Const CHART_BAR = 0
Global Const CHART_PIE = 1
Global Const CHART_LIN = 2
Global Const CHART_HLB = 3
Global Const CHART_PNT = 4

Rem Chart Attribute Constants
Global Const MAX_CHARTS = 50
Global Const MAX_LABELS = 100

Global Const AXIS_X  = 0
Global Const AXIS_Y  = 1
Global Const AXIS_Z  = 2
Global Const AXIS_Y1 = 3

Global Const MARK_MAJOR = 0
Global Const MARK_MINOR = 1

Global Const TITLE_MAIN = 0
Global Const TITLE_SUB = 1

Global Const SURFACE_FRONT = 0
Global Const SURFACE_SIDE = 1

Global Const TAB_OPEN = 0
Global Const TAB_CLOSE = 1

Global Const MAX_POINTS = 50
Global Const MAX_HLBS = 200

Global Const BAR_HORZ = 0
Global Const BAR_VERT = 1

Global Const HLB_HORZ = 0
Global Const HLB_VERT = 1

Global Const UNIT_PHYSICAL = 0
Global Const UNIT_LOGICAL = 1

Global Const LINE_HORZ = 0
Global Const LINE_VERT = 1

Global Const POS_ABS = 0
Global Const POS_NEXT = 1
Global Const POS_STACK = 2
Global Const POS_BEHIND = 3

Global Const POS_CENTER = 0
Global Const POS_OUT = 1
Global Const POS_UP = 2
Global Const POS_DOWN = 3

Global Const SHAPE_RECT = 0
Global Const SHAPE_CYND = 1

Global Const VPOS_TOP = 0
Global Const VPOS_BOT = 1
Global Const VPOS_CENTER = 2

Global Const VPOS_PARAN = 3

Global Const LEG_HIDE = 0
Global Const LEG_TOP = 1
Global Const LEG_LEFT = 2
Global Const LEG_RIGHT = 3
Global Const LEG_BOT = 4
Global Const LEG_TOP_LEFT = 5
Global Const LEG_TOP_RIGHT = 6
Global Const LEG_BOT_LEFT = 7
Global Const LEG_BOT_RIGHT = 8
Global Const LEG_SPECIFY = 9

Global Const SYM_NONE = 0
Global Const SYM_CIRCLE = 1
Global Const SYM_RECT = 2
Global Const SYM_DIAMOND = 3
Global Const SYM_TRI = 4
Global Const SYM_CHAR = 5
Global Const SYM_LINE = 6

Global Const DESC_TOP = 0
Global Const DESC_BOT = 1

Global Const SHOW_LOW = &H1
Global Const SHOW_HIGH = &H2
Global Const SHOW_OPEN = &H4
Global Const SHOW_CLOSE = &H8

Global Const PS_SOLID = 0
Global Const PS_DASH = 1
Global Const PS_DOT = 2
Global Const PS_DASHDOT = 3

Global Const DATA_HEADER = 0
Global Const DATA_ITEM = 1
Global Const DATA_LEGEND = 2

Global Const AXIS_MAX = 0
Global Const AXIS_MIN = 1
Global Const AXIS_ORIG = 2
Global Const AXIS_MAJOR = 3
Global Const AXIS_MINOR = 4

Global Const LINE_NONE = 0
Global Const LINE_STRAIGHT = 1
Global Const LINE_SMOOTH = 2

Global Const RES_META_DC = 720

             '*********** Error Codes *********
Global Const ERR_BAR = 1
Global Const ERR_BKND = 2
Global Const ERR_AXIS = 3
Global Const ERR_LEGEND = 4
Global Const ERR_TITLE = 5
Global Const ERR_PIE = 6
Global Const ERR_LINE = 7
Global Const ERR_HLB = 8
Global Const ERR_POINT = 9


Rem *****************************************************************************
Rem                    Function Prototype
Rem ******************************************************************************

Declare Function cCreateChart Lib "CHART32.DLL" (ByVal ChartType As Long, ByVal DisplayItems As Long, ByVal legends As Long) As Long
Declare Function cDeleteChart Lib "CHART32.DLL" (ByVal hChart As Long) As Long
Declare Function cEditChart Lib "CHART32.DLL" (ByVal hChart As Long) As Long
Declare Function cGetAxisValue Lib "CHART32.DLL" (ByVal hChart As Long, ByVal axis As Long, ByVal ParamType As Long) As Long
Declare Function cGetBitmap Lib "CHART32.DLL" (ByVal hChart As Long) As Long
Declare Function cGetChartData Lib "CHART32.DLL" (ByVal hChart As Long, ByVal DataType As Long, ByVal item As Long, ByVal dest As String) As Long
Declare Function cGetChartDataLen Lib "CHART32.DLL" (ByVal hChart As Long, ByVal DataType As Long) As Long
Declare Function cObjectFromPoint Lib "CHART32.DLL" (ByVal hChart As Long, ByVal x As Long, ByVal y As Long) As Long
Declare Function cPrintAxisValueLabels Lib "CHART32.DLL" (ByVal hChart As Long, ByVal PrintLabels As Long) As Long
Declare Function cReqBitmap Lib "CHART32.DLL" (ByVal hChart As Long, ByVal ReturnBitmap As Long, ByVal ShowChart As Long) As Long
Declare Function cResetAxisLabel Lib "CHART32.DLL" (ByVal hChart As Long) As Long
Declare Function cSetAngle Lib "CHART32.DLL" (ByVal hChart As Long, ByVal HorzAngle As Long, ByVal VertAngle As Long) As Long
Declare Function cSetAreaShadow Lib "CHART32.DLL" (ByVal hChart As Long, ByVal DrawArea As Long) As Long
Declare Function cSetAxisBknd Lib "CHART32.DLL" (ByVal hChart As Long, ByVal BkndColor As Long) As Long
Declare Function cSetAxisLabel Lib "CHART32.DLL" (ByVal hChart As Long, ByVal axis As Long, ByVal AxisValue As Long, ByVal ValueLabel As String) As Long
Declare Function cSetAxisLimits Lib "CHART32.DLL" (ByVal hChart As Long, ByVal axis As Long, ByVal origin As Long, ByVal max As Long, ByVal min As Long) As Long
Declare Function cSetAxisMark Lib "CHART32.DLL" (ByVal hChart As Long, ByVal axis As Long, ByVal mark As Long, ByVal interval As Long, ByVal MarkerLen As Long, ByVal color As Long) As Long
Declare Function cSetAxisMisc Lib "CHART32.DLL" (ByVal hChart As Long, ByVal axis As Long, ByVal draw As Long, ByVal color As Long, ByVal depth As Long) As Long
Declare Function cSetAxisTitle Lib "CHART32.DLL" (ByVal hChart As Long, ByVal axis As Long, ByVal title As String, ByVal TitleX As Long, ByVal TitleY As Long, ByVal TitleColor As Long, ByVal TitleFont As Long) As Long
Declare Function cSetBarValue Lib "CHART32.DLL" (ByVal hChart As Long, ByVal bar As Long, ByVal PosFlag As Long, ByVal BarPos As Long, ByVal BarValue As Long, ByVal UseSecondY As Long) As Long
Declare Function cSetBarValueLabel Lib "CHART32.DLL" (ByVal hChart As Long, ByVal bar As Long, ByVal PrintValue As Long, ByVal ValueFlag As Long, ByVal ValueLabel As String) As Long
Declare Function cSetChartBknd Lib "CHART32.DLL" (ByVal hChart As Long, ByVal ClearBknd As Long, ByVal BkndColor As Long) As Long
Declare Function cSetChartData Lib "CHART32.DLL" (ByVal hChart As Long, ByVal DataType As Long, ByVal item As Long, ByVal source As String) As Long
Declare Function cSetDevice Lib "CHART32.DLL" (ByVal hChart As Long, ByVal hDC As Long) As Long
Declare Function cSetHlbLabel Lib "CHART32.DLL" (ByVal hChart As Long, ByVal HlbNo As Long, ByVal ShowLabel As Long, ByVal LabelColor As Long) As Long
Declare Function cSetHlbLabelText Lib "CHART32.DLL" (ByVal hChart As Long, ByVal HlbNo As Long, ByVal LowLabel As String, ByVal HighLabel As String, ByVal OpenLabel As String, ByVal CloseLabel As String) As Long
Declare Function cSetHlbValue Lib "CHART32.DLL" (ByVal hChart As Long, ByVal HlbNo As Long, ByVal BarPos As Long, ByVal LowVal As Long, ByVal HighVal As Long, ByVal OpenVal As Long, ByVal CloseVal As Long) As Long
Declare Function cSetHlbTab Lib "CHART32.DLL" (ByVal hChart As Long, ByVal HlbNo As Long, ByVal TabType As Long, ByVal TabLen As Long, ByVal TabWidth As Long) As Long
Declare Function cSetItemSurfaceColor Lib "CHART32.DLL" (ByVal hChart As Long, ByVal ItemNo As Long, ByVal SurfaceType As Long, ByVal color As Long) As Long
Declare Function cSetItemDepth Lib "CHART32.DLL" (ByVal hChart As Long, ByVal ItemNo As Long, ByVal depth As Long) As Long
Declare Function cSetItemDesc Lib "CHART32.DLL" (ByVal hChart As Long, ByVal ItemNo As Long, ByVal desc As String, ByVal DescColor As Long, ByVal DescBox As Long, ByVal DescBoxColor As Long) As Long
Declare Function cSetItemOutlineColor Lib "CHART32.DLL" (ByVal hChart As Long, ByVal ItemNo As Long, ByVal OutlineColor As Long) As Long
Declare Function cSetItemPosZ Lib "CHART32.DLL" (ByVal hChart As Long, ByVal ItemNo As Long, ByVal PosZ As Long) As Long
Declare Function cSetItemShadow Lib "CHART32.DLL" (ByVal hChart As Long, ByVal ItemNo As Long, ByVal shadow As Long) As Long
Declare Function cSetItemSolid Lib "CHART32.DLL" (ByVal hChart As Long, ByVal ItemNo As Long, ByVal solid As Long) As Long
Declare Function cSetItemWidth Lib "CHART32.DLL" (ByVal hChart As Long, ByVal ItemNo As Long, ByVal ItemWidth As Long) As Long
Declare Function cSetLabelFont Lib "CHART32.DLL" (ByVal hChart As Long, ByVal Typeface As String, ByVal PointSize As Long) As Long
Declare Function cSetLegBox Lib "CHART32.DLL" (ByVal hChart As Long, ByVal location As Long, ByVal LocX As Long, ByVal LocY As Long, ByVal BoxColor As Long) As Long
Declare Function cSetLegColor Lib "CHART32.DLL" (ByVal hChart As Long, ByVal leg As Long, ByVal LegColor As Long) As Long
Declare Function cSetLegText Lib "CHART32.DLL" (ByVal hChart As Long, ByVal leg As Long, ByVal desc As String, ByVal DescColor As Long) As Long
Declare Function cSetLegSymbol Lib "CHART32.DLL" (ByVal hChart As Long, ByVal leg As Long, ByVal LegSymbol As Long, ByVal SymChar As Long, ByVal LineWidth As Long, ByVal LineStyle As Long) As Long
Declare Function cSetLinePointCount Lib "CHART32.DLL" (ByVal hChart As Long, ByVal LineNo As Long, ByVal PointCount As Long) As Long
Declare Function cSetLinePosFlag Lib "CHART32.DLL" (ByVal hChart As Long, ByVal LineNo As Long, ByVal PosFlag As Long) As Long
Declare Function cSetLinePoint Lib "CHART32.DLL" (ByVal hChart As Long, ByVal LineNo As Long, ByVal PointNo As Long, ByVal NodePos As Long, ByVal NodeValue As Long) As Long
Declare Function cSetLineType Lib "CHART32.DLL" (ByVal hChart As Long, ByVal LineNo As Long, ByVal LineColor As Long, ByVal LineStyle As Long, ByVal LineWidth As Long) As Long
Declare Function cSetLineDescPoint Lib "CHART32.DLL" (ByVal hChart As Long, ByVal LineNo As Long, ByVal DescPoint As Long) As Long
Declare Function cSetLineSymbol Lib "CHART32.DLL" (ByVal hChart As Long, ByVal LineNo As Long, ByVal NodeSymbol As Long, ByVal SymChar As Long) As Long
Declare Function cSetMargin Lib "CHART32.DLL" (ByVal hChart As Long, ByVal LeftMarg As Long, ByVal RightMarg As Long, ByVal TopMarg As Long, ByVal BotMarg As Long) As Long
Declare Function cSetObjectPlacement Lib "CHART32.DLL" (ByVal hChart As Long, ByVal placement As Long) As Long
Declare Function cSetPieShow Lib "CHART32.DLL" (ByVal hChart As Long, ByVal bar As Long, ByVal ShowPie As Long) As Long
Declare Function cSetPieValue Lib "CHART32.DLL" (ByVal hChart As Long, ByVal pie As Long, ByVal PosFlag As Long, ByVal BarPos As Long, ByVal BarValue As Long) As Long
Declare Function cSetPieValueLabel Lib "CHART32.DLL" (ByVal hChart As Long, ByVal pie As Long, ByVal PrintValue As Long, ByVal ValuePos As Long, ByVal ValueDesc As String) As Long
Declare Function cSetPoint Lib "CHART32.DLL" (ByVal hChart As Long, ByVal PointNo As Long, ByVal x As Long, ByVal y As Long, ByVal z As Long) As Long
Declare Function cSetPointLabel Lib "CHART32.DLL" (ByVal hChart As Long, ByVal label As Long, ByVal desc As String, ByVal PointNo As Long, ByVal distance As Long, ByVal angle As Long) As Long
Declare Function cSetPointLabelColor Lib "CHART32.DLL" (ByVal hChart As Long, ByVal label As Long, ByVal TextColor As Long, ByVal UseTagBox As Long, ByVal BoxColor As Long) As Long
Declare Function cSetPointLabelCount Lib "CHART32.DLL" (ByVal hChart As Long, ByVal count As Long) As Long
Declare Function cSetPointLine Lib "CHART32.DLL" (ByVal hChart As Long, ByVal PointNo As Long, ByVal LineType As Long, ByVal color As Long, ByVal LineStyle As Long, ByVal LineWidth As Long) As Long
Declare Function cSetPointSymbol Lib "CHART32.DLL" (ByVal hChart As Long, ByVal PointNo As Long, ByVal PointSymbol As Long, ByVal SymChar As Long) As Long
Declare Function cSetPointZAxisWidth Lib "CHART32.DLL" (ByVal hChart As Long, ByVal ZAxisWidth As Long) As Long
Declare Function cSetPos Lib "CHART32.DLL" (ByVal hChart As Long, ByVal ChartX As Long, ByVal ChartY As Long) As Long
Declare Function cSetSize Lib "CHART32.DLL" (ByVal hChart As Long, ByVal ChartWidth As Long, ByVal ChartHeight As Long) As Long
Declare Function cSetTitleColor Lib "CHART32.DLL" (ByVal hChart As Long, ByVal TitleType As Long, ByVal ForeColor As Long, ByVal opaque As Long, ByVal BackColor As Long) As Long
Declare Function cSetTitleText Lib "CHART32.DLL" (ByVal hChart As Long, ByVal TitleType As Long, ByVal TitleText As String, ByVal TitleX As Long, ByVal TitleY As Long, ByVal TitleFont As Long) As Long
Declare Function cSetUnit Lib "CHART32.DLL" (ByVal hChart As Long, ByVal UnitType As Long) As Long
Declare Function cShowChart Lib "CHART32.DLL" (ByVal hChart As Long) As Long
Declare Function cSaveChartToFile Lib "CHART32.DLL" (ByVal hChart As Long, ByVal OutFile As String) As Long
Declare Function cSetLicenseKey Lib "CHART32.DLL" (ByVal LicKey As String) As Long

Rem **************************************************
Rem When a string is passed for OUTPUT to the DLL
Rem ,the output string created by the DLL has an extra
Rem NULL character.  For such strings, you must call
Rem this routine to strip the null character from the
Rem given string
Rem **************************************************
Function DiscardNull (InText As String) As String
   Dim i As Long
   Dim StrLen As Long
   Dim CurChar As String
   
   StrLen = Len(InText)

   For i = 1 To StrLen
      CurChar = Left(InText, i)
      CurChar = Right(CurChar, 1)

      If Asc(CurChar) = 0 Then
         DiscardNull = Left(InText, i - 1)
         Exit Function
      End If
   Next i

   DiscardNull = InText
                       
End Function

