#define IDM_SELECT_BAR  100
#define IDM_SELECT_PIE  101
#define IDM_SELECT_LINE 102
#define IDM_SELECT_HILO 103
#define IDM_SELECT_POINT 104
#define IDM_EDIT        105
#define IDM_EXIT        106
#define IDM_SAVE_AS     107
#define IDM_TIMER       108


#define TYPE_NONE       0
#define TYPE_BAR        1
#define TYPE_PIE        2
#define TYPE_LINE       3
#define TYPE_HILO       4
#define TYPE_POINT      5

#define SHOW_BAR_1     0
#define SHOW_PIE_2     1
#define SHOW_BAR_4     2
#define SHOW_LINE_3    3
#define SHOW_BAR_6     4
#define SHOW_POINT_2   5
#define SHOW_PIE_6     6
#define SHOW_HILO_4    7
#define SHOW_BAR_2     8
#define SHOW_LINE_4    9
#define SHOW_BAR_5     10
#define SHOW_PIE_5     11
#define SHOW_HILO_1    12
#define SHOW_POINT_1   13
#define SHOW_BAR_3     14
#define SHOW_PIE_4     15
#define SHOW_LINE_5    16
#define SHOW_HILO_2    17
#define SHOW_PIE_1     18
#define SHOW_BAR_7     19
#define SHOW_LINE_1    20
#define SHOW_PIE_3     21
#define SHOW_LINE_2    22
#define SHOW_BAR_8     23
#define SHOW_HILO_3    24

#define SHOW_TOTAL     25

/*****************************************************************************
    Prototypes
******************************************************************************/
BOOL    InitApplication(HANDLE);
BOOL    InitBarData(void);
BOOL    InitPieData(void);
BOOL    InitLineData(void);
BOOL    InitHlbData(void);
BOOL    InitPointData(void);
BOOL    InitInstance(HANDLE,int);
BOOL    GetNumVal(HWND,int,int *);
BOOL    CALLBACK _export BarAxisValueLabel(char,int,LPSTR);
BOOL    CALLBACK _export LineAxisValueLabel(char,int,LPSTR);
BOOL    CALLBACK _export HlbAxisValueLabel(char,int,LPSTR);
BOOL    CALLBACK _export PointAxisValueLabel(char,int,LPSTR);
long    WINAPI _export DemoWndProc(HWND,UINT,WPARAM,LPARAM);
int     PASCAL WinMain(HINSTANCE,HINSTANCE,LPSTR,int);
int     SetChartTimer(void);
BOOL    SetHlbBarValue(struct StrHlb far *,int,int,int,int,int);
int     ShiftView(char,int,char);
int     ShowChart(int);
int     ShowNextChart(void);
void    StringTrim(LPSTR);
void    RightTrim(LPSTR);
void    LeftTrim(LPSTR);
void    FarMemSet(void far *,char,UINT);
void    FarMove(void far *,void far *,UINT);
int     PrintChart(void);
int     PrintMetafile(BOOL);
int     PrintBitmap();
int     InitPrinter(void);
BOOL    CurrentPrinter(LPSTR,LPSTR,LPSTR);
int     OurPrintf(LPBYTE,...);

/*****************************************************************************
    Constants used in the demo program.
******************************************************************************/
#define TRUE        1
#define FALSE       0

#define MAX_BARS    50
#define MAX_PIES    20
#define MAX_LINES   20
#define MAX_PTS     18

#define POINTS_PER_LINE 6
/******************************************************************************
         Parameter structures to pass data to various ChartPro DLLs    
******************************************************************************/
struct StrBarHdr BarHdr;             // General Bar Parameters 
struct StrBar    bar[MAX_BARS];      // Parameters of individual Bars 
struct StrBarLegend BarLeg[MAX_BARS];// number of legend lines used by demo 

struct StrPieHdr PieHdr;             // General Pie Parameters 
struct StrPie    pie[MAX_PIES];      // Parameters of individual Pies 
struct StrPieLegend PieLeg[MAX_PIES];// number of legend lines used by demo 

struct StrLineHdr LineHdr;           // General Line Parameters 
struct StrLine    line[MAX_LINES];   // Parameters of individual Lines 
struct StrLineLegend LineLeg[MAX_LINES];// number of legend lines used by demo 

struct StrHlbHdr HlbHdr;             // General high-low bar Parameters 
struct StrHlb    hlb[MAX_BARS];      // Parameters of individual high-low bars 
struct StrHlb    far *pHlb;          // another Parameter set of individual high-low bars 
struct StrHlbLegend HlbLeg[MAX_BARS];// number of legend lines used by demo 

struct StrPointHdr PointHdr;         // General point chart Parameters 
struct StrPointLegend PointLeg[3];   // number of legend lines used by this graphs 
struct StrPoint   point[MAX_PTS];    // number of points to be drawn
struct StrPointLabel PointLabel[2]; // number of labels to be drawn
/******************************************************************************
                General Global Variables for the Demo program
******************************************************************************/

HANDLE hInst,hPrevInst;              // Stores the current and previous instances 

HWND  hDemoWin;                      // demo program window 
HDC   hDC;                           // demo window device context 

int   ChartType;                     // chart type to show 

int   SelectedBar,                   // highlighted bar by clicking the mouse 
      SelectedPie,                   // highlighted pie wedge by clicking the mouse 
      SelectedLine,                  // highlighted line/area by clicking the mouse 
      SelectedHlb,                   // highlighted high/low bar by clicking the mouse 
      SelectedPoint;                 // highlighted point by clicking the mouse 

int   PixPerInchX,                   // screen resolution in x and y directions 
      PixPerInchY;

HCURSOR hWaitCursor;                 // handle to hour glass 

BOOL  TimerSet=FALSE;                // slide-show timer to different charts on a timer
int   CurChart=1;                    // current chart

       //**** Color Collection ****
COLORREF Red=RGB(0xFF,0x00,0x00),        // Red 
         RedLt=RGB(0xF0,0x00,0x00),      // Red light 
         Blue=RGB(0x00,0x00,0xFF),       // Blue 
         BlueLt=RGB(0x00,0x00,0xF0),     // Blue light 
         Green=RGB(0x00,0xFF,0x00),      // Green 
         GreenLt=RGB(0x00,0xF0,0x00),    // Green light
         Yellow=RGB(0xFF,0xFF,0x00),     // Yellow 
         YellowLt=RGB(0xF0,0xF0,0x00),   // Yellow light
         Magenta=RGB(0xFF,0x00,0xFF),    // Magenta 
         MagentaLt=RGB(0xF0,0x00,0xF0),  // Magenta light 
         Cyan=RGB(0x00,0xFF,0xFF),       // Cyan 
         CyanLt=RGB(0x00,0xF0,0xF0),     // Cyan light 
         White=RGB(0xFF,0xFF,0xFF),      // white 
         Black=RGB(0x00,0x00,0x00);      // black 

       //******** variables to create a printer device context *******
HDC   hPrtDC;                        // demo printer device context 
char  PrinterName[60],               // name of the printer 
      PrinterDriver[60],             // printer driver 
      PrinterPort[60];               // printer port 

LPDEVMODE pDevMode;                  // pointer to the device mode storage 
HANDLE    hDevMode;                  // handle to device mode memory                
BOOL      PrinterInitialized=FALSE;  // Set to TRUE when the printer is initialized

       //********** Scroll Bar Limits ***********
int   HorzMin,                       // minmum horizontal scroll bar value 
      HorzMax;                       // maximum horizontal scroll bar value 

int   VertMin,                       // minmum vertical scroll bar value 
      VertMax;                       // maximum vertical scroll bar value 

int   StockHlbCount;                 // bar count for the stock hilo chart
