VERSION 5.00
Object = "{5D001242-0E61-11D5-B586-00D00921E5F9}#1.0#0"; "cho.ocx"
Begin VB.Form FormMain 
   Appearance      =   0  'Flat
   BackColor       =   &H80000005&
   Caption         =   "TER Demo for Visual Basic"
   ClientHeight    =   5355
   ClientLeft      =   1350
   ClientTop       =   3075
   ClientWidth     =   7935
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   5355
   ScaleWidth      =   7935
   Begin CHOLib.Cho Cho1 
      Height          =   5055
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   7695
      _Version        =   65536
      _ExtentX        =   13573
      _ExtentY        =   8916
      _StockProps     =   160
   End
   Begin VB.Menu file 
      Caption         =   "&File"
      Begin VB.Menu SaveAs 
         Caption         =   "&SaveAs"
      End
   End
   Begin VB.Menu select 
      Caption         =   "&Select"
      Begin VB.Menu bar 
         Caption         =   "&Bar"
      End
      Begin VB.Menu pie 
         Caption         =   "&Pie"
      End
      Begin VB.Menu line 
         Caption         =   "&Line/Area"
      End
      Begin VB.Menu hlb 
         Caption         =   "&High/low"
      End
      Begin VB.Menu xyzPoint 
         Caption         =   "xyz Point"
      End
   End
End
Attribute VB_Name = "FormMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub bar_Click()
   Dim result As Integer

   If hChart <> hBar Then
      hChart = hBar         ' select bar chart for display
      Cho1.ChartId = hChart
   End If
End Sub

Rem Create a Bar chart and assign default values.
Rem This function does not actually displays the chart
Rem The ChartId property must be assigned the ChartId to display
Rem the chart.
'
Rem This bar chart displays 15 bars in the groups of 3 bars
Rem each. Each group shows profit, sales revenue, and service
Rem revenue for one year.  The bars for 1994 are shown
Rem as hollow to indicate project figures.
'
Private Sub CreateBar()
   Dim result As Integer
   Dim i As Integer
   
   hBar = cCreateChart(CHART_BAR, 15, 3)  ' create a bar chart
   result = cSetMargin(hBar, 13, 10, 20, 16) ' set margins (millimeters)

   Rem Set Title
   result = cSetTitleText(hBar, TITLE_MAIN, "Demo Bar Graph", -1, -1, 0)
   result = cSetTitleText(hBar, TITLE_SUB, "5 Year Growth Trend", -1, -1, 0)
   
   Rem Set X axis
   result = cSetAxisLimits(hBar, AXIS_X, 1990, 1995, 1990) ' origin, max and min values are specified in application units
   result = cSetAxisMark(hBar, AXIS_X, MARK_MAJOR, 1, 4, White)
   result = cSetAxisMark(hBar, AXIS_X, MARK_MINOR, 0, 0, 0) ' don't show minor divsion marks
   result = cSetAxisTitle(hBar, AXIS_X, "Years", -1, -1, Yellow, 0)

   result = cSetAxisLabel(hBar, AXIS_X, 1994, "1994-95") ' modify axis value label at 1994 to 1994-95
   result = cSetAxisLabel(hBar, AXIS_X, 1995, "")        ' suppress axis value label at 1995
   
   Rem Set Y Axis
   result = cSetAxisLimits(hBar, AXIS_Y, 10, 80, 10)
   result = cSetAxisMark(hBar, AXIS_Y, MARK_MAJOR, 20, 4, White)
   result = cSetAxisMark(hBar, AXIS_Y, MARK_MINOR, 10, 2, White)
   result = cSetAxisTitle(hBar, AXIS_Y, "Dollars", -1, -1, Yellow, 0)
   
   result = cSetAxisLabel(hBar, AXIS_Y, 70, "$70") ' print axis value label at 70 as $70


   Rem Set common bar values
   For i = 1 To 15
      result = cSetItemWidth(hBar, i, 9) ' specified in mm
      result = cSetItemDepth(hBar, i, 9) ' specified in mm
   Next i

   Rem Set bar values
   result = cSetBarValue(hBar, 1, POS_ABS, 1990, 20, False)
   result = cSetBarValue(hBar, 2, POS_BEHIND, 0, 30, False)
   result = cSetBarValue(hBar, 3, POS_STACK, 0, 10, False)

   result = cSetBarValue(hBar, 4, POS_ABS, 1991, 30, False)
   result = cSetBarValue(hBar, 5, POS_BEHIND, 0, 40, False)
   result = cSetBarValue(hBar, 6, POS_STACK, 0, 25, False)

   result = cSetBarValue(hBar, 7, POS_ABS, 1992, 35, False)
   result = cSetBarValue(hBar, 8, POS_BEHIND, 0, 45, False)
   result = cSetBarValue(hBar, 9, POS_STACK, 0, 25, False)

   result = cSetBarValue(hBar, 10, POS_ABS, 1993, 38, False)
   result = cSetBarValue(hBar, 11, POS_BEHIND, 0, 45, False)
   result = cSetBarValue(hBar, 12, POS_STACK, 0, 31, False)

   result = cSetBarValue(hBar, 13, POS_ABS, 1994, 45, False)
   result = cSetBarValue(hBar, 14, POS_BEHIND, 0, 40, False)
   result = cSetBarValue(hBar, 15, POS_STACK, 0, 31, False)

   Rem Set Bar Colors
   For i = 1 To 15 Step 3
      ' set profit bar colors
      result = cSetItemSurfaceColor(hBar, i, SURFACE_FRONT, Yellow)
      result = cSetItemSurfaceColor(hBar, i, SURFACE_SIDE, YellowLt)
      
      ' set sales regenue bar colors
      result = cSetItemSurfaceColor(hBar, i + 1, SURFACE_FRONT, Green)
      result = cSetItemSurfaceColor(hBar, i + 1, SURFACE_SIDE, GreenLt)
      
      ' set service revenue bar colors
      result = cSetItemSurfaceColor(hBar, i + 2, SURFACE_FRONT, Magenta)
      result = cSetItemSurfaceColor(hBar, i + 2, SURFACE_SIDE, MagentaLt)
      
   Next i
   
   Rem Special treatment for bars 13 through 15
   result = cSetItemDesc(hBar, 13, "Projected", White, False, 0)
   For i = 13 To 15
      result = cSetBarValueLabel(hBar, i, False, 0, "")  ' suppress value labels
      result = cSetItemSolid(hBar, i, False) ' draw as hollow bars
      result = cSetItemOutlineColor(hBar, i, White)
   Next i
   
   Rem Show a description for the 4th bar
   result = cSetItemDesc(hBar, 4, "Up 50%", White, True, Red)


   Rem Set 3 legend items
   result = cSetLegText(hBar, 1, "Profit", White)
   result = cSetLegColor(hBar, 1, Yellow)

   result = cSetLegText(hBar, 2, "Sales Revenue", White)
   result = cSetLegColor(hBar, 2, Green)

   result = cSetLegText(hBar, 3, "Service Revenue", White)
   result = cSetLegColor(hBar, 3, Magenta)
   
   SelectedBar = 0 ' no bar selected yet
End Sub

Rem Create a high/low Bar chart and assign default values.
Rem This function does not actually displays the chart
Rem The ChartId must be assigned the chart handle to display
Rem the chart
Rem This example shows 6 high/low bars to depict montly
Rem stock prices. The first month shows the opening price.
Rem All months show closing prices.
Private Sub CreateHlb()
   Dim result As Integer
   Dim i As Integer

   hHlb = cCreateChart(CHART_HLB, 6, 1)
   result = cSetMargin(hHlb, 13, 10, 20, 16) ' set margins (millimeters)

   Rem Set Title
   result = cSetTitleText(hHlb, TITLE_MAIN, "Demo High/Low Bar Graph", -1, -1, 0)
   result = cSetTitleText(hHlb, TITLE_SUB, "Stock Price Analysis", -1, -1, 0)
   
   Rem Set X axis
   result = cSetAxisLimits(hHlb, AXIS_X, 0, 7, 0) ' origin, max and min values are specified in application units
   result = cSetAxisMark(hHlb, AXIS_X, MARK_MAJOR, 1, 4, White)
   result = cSetAxisMark(hHlb, AXIS_X, MARK_MINOR, 0, 0, 0) ' don't show minor divsion marks
   result = cSetAxisTitle(hHlb, AXIS_X, "1993->", -1, -1, Yellow, 0)

   result = cSetAxisLabel(hHlb, AXIS_X, 0, "")
   result = cSetAxisLabel(hHlb, AXIS_X, 1, "Jan") ' convert numeric month to month names
   result = cSetAxisLabel(hHlb, AXIS_X, 2, "Feb")
   result = cSetAxisLabel(hHlb, AXIS_X, 3, "Mar")
   result = cSetAxisLabel(hHlb, AXIS_X, 4, "Apr")
   result = cSetAxisLabel(hHlb, AXIS_X, 5, "May")
   result = cSetAxisLabel(hHlb, AXIS_X, 6, "Jun")
   result = cSetAxisLabel(hHlb, AXIS_X, 7, "Jul")

   Rem Set Y Axis
   result = cSetAxisLimits(hHlb, AXIS_Y, 10, 70, 10)
   result = cSetAxisMark(hHlb, AXIS_Y, MARK_MAJOR, 20, 4, White)
   result = cSetAxisMark(hHlb, AXIS_Y, MARK_MINOR, 10, 2, White)
   result = cSetAxisTitle(hHlb, AXIS_Y, "Price", -1, -1, Yellow, 0)
   
   result = cSetAxisLabel(hHlb, AXIS_Y, 70, "$70") ' print axis value label at 70 as $70

   Rem Initialize each bar
   For i = 1 To 6
      result = cSetItemDepth(hHlb, i, 5) ' set bar depth to 5 mm
      result = cSetItemWidth(hHlb, i, 5) ' set bar width to 5 mm
      result = cSetHlbLabel(hHlb, i, SHOW_LOW Or SHOW_HIGH, White)
      result = cSetItemSurfaceColor(hHlb, i, SURFACE_FRONT, Magenta)
      result = cSetItemSurfaceColor(hHlb, i, SURFACE_SIDE, MagentaLt)
      result = cSetHlbTab(hHlb, i, TAB_CLOSE, 2, 2) ' use close tabs of 2x2
      result = cSetHlbTab(hHlb, i, TAB_OPEN, 0, 0) ' do not use open tabs
   Next i

   Rem Set individual bars
   result = cSetHlbValue(hHlb, 1, 1, 20, 35, 21, 30)
   result = cSetHlbTab(hHlb, 1, TAB_OPEN, 2, 2)
   result = cSetHlbLabel(hHlb, 1, SHOW_LOW Or SHOW_HIGH Or SHOW_OPEN, White)

   result = cSetHlbValue(hHlb, 2, 2, 25, 55, 30, 40)
   result = cSetHlbValue(hHlb, 3, 3, 30, 60, 40, 50)
   result = cSetHlbValue(hHlb, 4, 4, 20, 50, 50, 25)
   result = cSetHlbValue(hHlb, 5, 5, 15, 40, 25, 30)

   result = cSetHlbValue(hHlb, 6, 6, 20, 62, 30, 50)
   result = cSetItemDesc(hHlb, 6, "Merger", White, True, Red)
   result = cSetHlbLabel(hHlb, 6, SHOW_LOW Or SHOW_HIGH Or SHOW_CLOSE, White)
   
   Rem Set one legend item
   result = cSetLegText(hHlb, 1, "Corporate Paper Inc.", White)
   result = cSetLegColor(hHlb, 1, Magenta)

   SelectedHlb = 0 ' no bar selected yet
End Sub

Rem Create a Line chart and assign default values.
Rem This function does not actually displays the chart
Rem The ChartId property must be assigned to display
Rem the chart
Rem This line/area chart display 6 year growth trend of
Rem profit, sales revenue, and service revenue.
'
Private Sub CreateLine()
   Dim result As Integer
   Dim i As Integer

   hLine = cCreateChart(CHART_LIN, 3, 3)
   result = cSetMargin(hLine, 13, 10, 20, 16) ' set margins (millimeters)

   Rem Set Title
   result = cSetTitleText(hLine, TITLE_MAIN, "Demo Line/Area Graph", -1, -1, 0)
   result = cSetTitleText(hLine, TITLE_SUB, "6 Year Growth Trend", -1, -1, 0)
   
   Rem Set X axis
   result = cSetAxisLimits(hLine, AXIS_X, 1990, 1995, 1990) ' origin, max and min values are specified in application units
   result = cSetAxisMark(hLine, AXIS_X, MARK_MAJOR, 1, 4, White)
   result = cSetAxisMark(hLine, AXIS_X, MARK_MINOR, 0, 0, 0) ' don't show minor divsion marks
   result = cSetAxisTitle(hLine, AXIS_X, "Years", -1, -1, Yellow, 0)

   result = cSetAxisLabel(hLine, AXIS_X, 1994, "1994-95") ' modify axis value label at 1994 to 1994-95
   result = cSetAxisLabel(hLine, AXIS_X, 1995, "")        ' suppress axis value label at 1995

   Rem Set Y Axis
   result = cSetAxisLimits(hLine, AXIS_Y, 10, 80, 10)
   result = cSetAxisMark(hLine, AXIS_Y, MARK_MAJOR, 20, 4, White)
   result = cSetAxisMark(hLine, AXIS_Y, MARK_MINOR, 10, 2, White)
   result = cSetAxisTitle(hLine, AXIS_Y, "Dollars", -1, -1, Yellow, 0)
   
   result = cSetAxisLabel(hLine, AXIS_Y, 70, "$70") ' print axis value label at 70 as $70

   Rem Set the first line
   i = 1
   result = cSetLinePosFlag(hLine, i, POS_ABS)
   result = cSetItemSurfaceColor(hLine, i, SURFACE_FRONT, Yellow)
   result = cSetItemSurfaceColor(hLine, i, SURFACE_SIDE, YellowLt)
   result = cSetLineSymbol(hLine, i, SYM_CIRCLE, 0)
   result = cSetItemDesc(hLine, i, "Up 50%", White, True, Red)
   result = cSetLineDescPoint(hLine, i, 2) ' print the description at the second point
   result = cSetItemPosZ(hLine, i, 5)
   result = cSetItemDepth(hLine, i, 8)

               ' set node postion and values
   result = cSetLinePointCount(hLine, i, 6)         ' 6 nodes on this line
   result = cSetLinePoint(hLine, i, 1, 1990, 20)
   result = cSetLinePoint(hLine, i, 2, 1991, 30)
   result = cSetLinePoint(hLine, i, 3, 1992, 35)
   result = cSetLinePoint(hLine, i, 4, 1993, 38)
   result = cSetLinePoint(hLine, i, 5, 1994, 38)
   result = cSetLinePoint(hLine, i, 6, 1995, 45)
   
   Rem Set the second line
   i = 2
   result = cSetLinePosFlag(hLine, i, POS_BEHIND)
   result = cSetItemSurfaceColor(hLine, i, SURFACE_FRONT, Green)
   result = cSetItemSurfaceColor(hLine, i, SURFACE_SIDE, GreenLt)
   result = cSetLineSymbol(hLine, i, SYM_RECT, 0)
   result = cSetItemDepth(hLine, i, 8)

               ' set node postion and values
   result = cSetLinePointCount(hLine, i, 6)         ' 6 nodes on this line
   result = cSetLinePoint(hLine, i, 1, 1990, 30)
   result = cSetLinePoint(hLine, i, 2, 1991, 40)
   result = cSetLinePoint(hLine, i, 3, 1992, 45)
   result = cSetLinePoint(hLine, i, 4, 1993, 45)
   result = cSetLinePoint(hLine, i, 5, 1994, 40)
   result = cSetLinePoint(hLine, i, 6, 1995, 48)
   
   Rem Set the thrid line
   i = 3
   result = cSetLinePosFlag(hLine, i, POS_STACK)
   result = cSetItemSurfaceColor(hLine, i, SURFACE_FRONT, Magenta)
   result = cSetItemSurfaceColor(hLine, i, SURFACE_SIDE, MagentaLt)
   result = cSetLineSymbol(hLine, i, SYM_DIAMOND, 0)
   result = cSetItemDepth(hLine, i, 8)

               ' set node postion and values
   result = cSetLinePointCount(hLine, i, 6)         ' 6 nodes on this line
   result = cSetLinePoint(hLine, i, 1, 0, 10)
   result = cSetLinePoint(hLine, i, 2, 0, 25)
   result = cSetLinePoint(hLine, i, 3, 0, 25)
   result = cSetLinePoint(hLine, i, 4, 0, 31)
   result = cSetLinePoint(hLine, i, 5, 0, 31)
   result = cSetLinePoint(hLine, i, 6, 0, 25)

   Rem Set 3 legend symbols
   result = cSetLegText(hLine, 1, "Profit", White)
   result = cSetLegColor(hLine, 1, Yellow)
   result = cSetLegSymbol(hLine, 1, SYM_CIRCLE, 0, 0, 0)

   result = cSetLegText(hLine, 2, "Sales Revenue", White)
   result = cSetLegColor(hLine, 2, Green)
   result = cSetLegSymbol(hLine, 2, SYM_RECT, 0, 0, 0)

   result = cSetLegText(hLine, 3, "Service Revenue", White)
   result = cSetLegColor(hLine, 3, Magenta)
   result = cSetLegSymbol(hLine, 3, SYM_DIAMOND, 0, 0, 0)

   SelectedLine = 0  ' no line selected yet
End Sub

Rem Create a Pie chart and assign default values.
Rem This function does not actually displays the chart
Rem The ChartId property must be assigned to display
Rem the chart
Rem This pie chart displays a distribution of federal budget.
Rem The 'deficit' pie is pulled out and shown as a hollow
Rem pie.
'
Private Sub CreatePie()
   Dim result As Integer

   hPie = cCreateChart(CHART_PIE, 5, 4)
   result = cSetMargin(hPie, 13, 10, 20, 16) ' set margins (millimeters)

   Rem Set Title
   result = cSetTitleText(hPie, TITLE_MAIN, "Demo Pie Graph", -1, -1, 0)
   result = cSetTitleText(hPie, TITLE_SUB, "Federal Budget Allocation", -1, -1, 0)
   
   Rem Set the first pie
   result = cSetItemDesc(hPie, 1, "Defence", Green, False, 0)
   result = cSetPieValue(hPie, 1, POS_CENTER, 0, 280)
   result = cSetItemSurfaceColor(hPie, 1, SURFACE_FRONT, Green)
   result = cSetItemSurfaceColor(hPie, 1, SURFACE_SIDE, GreenLt)  ' side surface color
   
   Rem Set the second pie
   result = cSetItemDesc(hPie, 2, "Education", Yellow, False, 0)
   result = cSetPieValue(hPie, 2, POS_CENTER, 0, 80)
   result = cSetItemSurfaceColor(hPie, 2, SURFACE_FRONT, Yellow)
   result = cSetItemSurfaceColor(hPie, 2, SURFACE_SIDE, YellowLt)  ' side surface color

   Rem Set the third pie
   result = cSetItemDesc(hPie, 3, "Medicare", Cyan, False, 0)
   result = cSetPieValue(hPie, 3, POS_CENTER, 0, 480)
   result = cSetItemSurfaceColor(hPie, 3, SURFACE_FRONT, Cyan)
   result = cSetItemSurfaceColor(hPie, 3, SURFACE_SIDE, CyanLt)  ' side surface color

   Rem Set the fourth pie
   result = cSetItemDesc(hPie, 4, "Deficit", Blue, True, Red)
   result = cSetPieValue(hPie, 4, POS_OUT, 5, 310)
   result = cSetItemSurfaceColor(hPie, 4, SURFACE_FRONT, Blue)
   result = cSetItemSurfaceColor(hPie, 4, SURFACE_SIDE, BlueLt)  ' side surface color
   result = cSetItemSolid(hPie, 4, False) ' hollow pie
   result = cSetItemOutlineColor(hPie, 4, Red) ' outline color

   Rem Set the fifth pie
   result = cSetItemDesc(hPie, 5, "Other", Magenta, False, 0)
   result = cSetPieValue(hPie, 5, POS_CENTER, 0, 220)
   result = cSetItemSurfaceColor(hPie, 5, SURFACE_FRONT, Magenta)
   result = cSetItemSurfaceColor(hPie, 5, SURFACE_SIDE, MagentaLt)  ' side surface color

   Rem Set 4 legend items.
   result = cSetLegText(hPie, 1, "Defence", White)
   result = cSetLegColor(hPie, 1, Green)
   
   result = cSetLegText(hPie, 2, "Education", White)
   result = cSetLegColor(hPie, 2, Yellow)

   result = cSetLegText(hPie, 3, "Medicare", White)
   result = cSetLegColor(hPie, 3, Cyan)

   result = cSetLegText(hPie, 4, "Other", White)
   result = cSetLegColor(hPie, 4, Magenta)
    
   SelectedPie = 0  ' no pie selected yet
End Sub

Rem Create an XYZ Point chart and assign default values.
Rem This function does not actually displays the chart
Rem The ChartId property must be assigned to display
Rem the chart
Rem This point chart display 6 year growth trend of
Rem profit, sales revenue, and service revenue.  The lines
Rem are drawn by connecting the points.
'
Private Sub CreatePoint()
   Dim result As Integer
   Dim BasePoint As Integer
   Dim i As Integer
   Dim LineType As Integer

   hPoint = cCreateChart(CHART_PNT, 18, 3)
   result = cSetMargin(hPoint, 13, 10, 20, 16) ' set margins (millimeters)

   Rem Set Title
   result = cSetTitleText(hPoint, TITLE_MAIN, "Demo Point Graph", -1, -1, 0)
   result = cSetTitleText(hPoint, TITLE_SUB, "6 Year Growth Trend", -1, -1, 0)
   
   Rem Set X axis
   result = cSetAxisLimits(hPoint, AXIS_X, 1990, 1995, 1990) ' origin, max and min values are specified in application units
   result = cSetAxisMark(hPoint, AXIS_X, MARK_MAJOR, 1, 4, White)
   result = cSetAxisMark(hPoint, AXIS_X, MARK_MINOR, 0, 0, 0) ' don't show minor divsion marks
   result = cSetAxisTitle(hPoint, AXIS_X, "Years", -1, -1, Yellow, 0)

   result = cSetAxisLabel(hPoint, AXIS_X, 1994, "1994-95") ' modify axis value label at 1994 to 1994-95
   result = cSetAxisLabel(hPoint, AXIS_X, 1995, "")        ' suppress axis value label at 1995

   Rem Set Y Axis
   result = cSetAxisLimits(hPoint, AXIS_Y, 10, 50, 10)
   result = cSetAxisMark(hPoint, AXIS_Y, MARK_MAJOR, 20, 4, White)
   result = cSetAxisMark(hPoint, AXIS_Y, MARK_MINOR, 10, 2, White)
   result = cSetAxisTitle(hPoint, AXIS_Y, "Dollars", -1, -1, Yellow, 0)
   
   result = cSetAxisLabel(hPoint, AXIS_Y, 70, "$70") ' print axis value label at 70 as $70
   
   Rem Set Z Axis
   result = cSetAxisLimits(hPoint, AXIS_Z, 0, 2, 0)
   result = cSetAxisMark(hPoint, AXIS_Z, MARK_MAJOR, 1, 4, White)

   result = cSetAxisTitle(hPoint, AXIS_Z, "Z Axis", -1, -1, Yellow, 0)
   
   result = cSetAxisLabel(hPoint, AXIS_Z, 0, "Profit") ' print axis value label at z=0
   result = cSetAxisLabel(hPoint, AXIS_Z, 1, "Sales") ' print axis value label at z=1
   result = cSetAxisLabel(hPoint, AXIS_Z, 2, "Service") ' print axis value label at z=2

   Rem Set the farthest line first
   BasePoint = 1
   For i = BasePoint To BasePoint + 5
      If i = BasePoint Then LineType = LINE_NONE Else LineType = LINE_STRAIGHT
      result = cSetPointLine(hPoint, i, LineType, Magenta, PS_SOLID, 10)
      result = cSetPointSymbol(hPoint, i, SYM_CIRCLE, Asc("X"))
   Next i

               ' set node postion and values
   result = cSetPoint(hPoint, BasePoint, 1990, 20, 2)
   result = cSetPoint(hPoint, BasePoint + 1, 1991, 30, 2)
   result = cSetPoint(hPoint, BasePoint + 2, 1992, 35, 2)
   result = cSetPoint(hPoint, BasePoint + 3, 1993, 38, 2)
   result = cSetPoint(hPoint, BasePoint + 4, 1994, 38, 2)
   result = cSetPoint(hPoint, BasePoint + 5, 1995, 45, 2)
   
   Rem Set the second line
   BasePoint = 7
   For i = BasePoint To BasePoint + 5
      If i = BasePoint Then LineType = LINE_NONE Else LineType = LINE_STRAIGHT
      result = cSetPointLine(hPoint, i, LineType, Green, PS_SOLID, 10)
      result = cSetPointSymbol(hPoint, i, SYM_RECT, Asc("X"))
   Next i
               ' set node postion and values
   result = cSetPoint(hPoint, BasePoint, 1990, 30, 1)
   result = cSetPoint(hPoint, BasePoint + 1, 1991, 40, 1)
   result = cSetPoint(hPoint, BasePoint + 2, 1992, 45, 1)
   result = cSetPoint(hPoint, BasePoint + 3, 1993, 45, 1)
   result = cSetPoint(hPoint, BasePoint + 4, 1994, 40, 1)
   result = cSetPoint(hPoint, BasePoint + 5, 1995, 48, 1)
   
   Rem Set the thrid line (nearest line)
   BasePoint = 13
   For i = BasePoint To BasePoint + 5
      If i = BasePoint Then LineType = LINE_NONE Else LineType = LINE_STRAIGHT
      result = cSetPointLine(hPoint, i, LineType, Yellow, PS_SOLID, 10)
      result = cSetPointSymbol(hPoint, i, SYM_DIAMOND, Asc("X"))
   Next i

               ' set node postion and values
   result = cSetPoint(hPoint, BasePoint, 1990, 10, 1)
   result = cSetPoint(hPoint, BasePoint + 1, 1991, 25, 1)
   result = cSetPoint(hPoint, BasePoint + 2, 1992, 25, 1)
   result = cSetPoint(hPoint, BasePoint + 3, 1993, 31, 1)
   result = cSetPoint(hPoint, BasePoint + 4, 1994, 31, 1)
   result = cSetPoint(hPoint, BasePoint + 5, 1995, 25, 1)

   Rem Set 3 legend symbols
   result = cSetLegText(hPoint, 1, "Profit", Yellow)
   result = cSetLegColor(hPoint, 1, Black)
   result = cSetLegSymbol(hPoint, 1, SYM_DIAMOND, 0, 0, 0)

   result = cSetLegText(hPoint, 2, "Sales Revenue", Green)
   result = cSetLegColor(hPoint, 2, Black)
   result = cSetLegSymbol(hPoint, 2, SYM_RECT, 0, 0, 0)

   result = cSetLegText(hPoint, 3, "Service Revenue", Magenta)
   result = cSetLegColor(hPoint, 3, Black)
   result = cSetLegSymbol(hPoint, 3, SYM_CIRCLE, 0, 0, 0)

   Rem Create 2 labels
   result = cSetPointLabelCount(hPoint, 2)

   Rem Set first label at point #14
   result = cSetPointLabel(hPoint, 1, "Up 50%", 14, 0, 0)
   result = cSetPointLabelColor(hPoint, 1, White, True, Red)

   Rem Set second label at point #17
   result = cSetPointLabel(hPoint, 2, "Forecast", 17, 2, 45)
   result = cSetPointLabelColor(hPoint, 2, Red, False, White)

   SelectedPoint = 0  ' no line selected yet

End Sub

Private Sub Cho1_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
  Dim id As Long
  
  ' find the chart element clicked by the user
  id = cObjectFromPoint(hChart, -x, -y)  ' negative values used to specify x/y in twips
  
  Debug.Print id  'print the chart element that is clicked by the user
End Sub

Private Sub edit_Click()
   Dim result As Integer

   result = cEditChart(hChart)  ' allow the user to edit the current chart
   Cho1.ChartId = hChart
   
End Sub

Private Sub Form_Load()
  Dim result As Integer
  Dim BorderHeight, BorderWidth

  hChart = -1                  ' reset current chart handle

  Rem Assign color variables for a later use
  Red = RGB(&HFF, &H0, &H0)      ' Red */
  RedLt = RGB(&HF0, &H0, &H0)    ' Red light */
  Blue = RGB(&H0, &H0, &HFF)     ' Blue */
  BlueLt = RGB(&H0, &H0, &HF0)   ' Blue light */
  Green = RGB(&H0, &HFF, &H0)    ' Green */
  GreenLt = RGB(&H0, &HF0, &H0)  ' Green light*/
  Yellow = RGB(&HFF, &HFF, &H0)  ' Yellow */
  YellowLt = RGB(&HF0, &HF0, &H0) ' Yellow light*/
  Magenta = RGB(&HFF, &H0, &HFF) ' Magenta */
  MagentaLt = RGB(&HF0, &H0, &HF0) ' Magenta light */
  Cyan = RGB(&H0, &HFF, &HFF)    ' Cyan */
  CyanLt = RGB(&H0, &HF0, &HF0)  ' Cyan light */
  White = RGB(&HFF, &HFF, &HFF)  ' white */
  Black = RGB(&H0, &H0, &H0)     ' black

  Rem Create Each type of chart
  CreateBar                   ' create a bar chart
  CreatePie                   ' create a pie chart
  CreateLine                  ' create a line chart
  CreateHlb                   ' create a high/low chart
  CreatePoint                 ' create a xyz point chart

  hChart = hBar               ' current chart to display
  
  Cho1.ChartId = hChart
  
End Sub

'Highlight the chart object that is clicked by the mouse
'
Private Sub Form_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
    Dim CurObj As Integer  ' select object
    Dim result As Integer
    
    CurObj = cObjectFromPoint(hChart, x / Screen.TwipsPerPixelX - ChartXPixel, y / Screen.TwipsPerPixelY - ChartYPixel)

    If CurObj > 0 Then
      If hChart = hBar Then
         If SelectedBar > 0 Then ' reset the color of the previous selection
            result = cDeleteChart(hChart) ' recreate the chart
            CreateBar
         End If
         SelectedBar = CurObj
      ElseIf hChart = hPie Then
         If SelectedPie > 0 Then ' reset the previous pie selection
            result = cDeleteChart(hChart)
            CreatePie
         End If
         SelectedPie = CurObj
      ElseIf hChart = hLine Then
         If SelectedLine > 0 Then ' reset the previous line selection
            result = cDeleteChart(hChart)
            CreateLine
         End If
         SelectedLine = CurObj
      ElseIf hChart = hHlb Then
         If SelectedHlb > 0 Then ' reset the previous high/low bar selection
            result = cDeleteChart(hChart)
            CreateHlb
         End If
         SelectedHlb = CurObj
      ElseIf hChart = hPoint Then
         If SelectedPoint > 0 Then ' reset the previous point selection
            result = cDeleteChart(hChart)
            CreatePoint
         End If
         SelectedPoint = CurObj
      End If

      ' Highlight selected bar, pie, line
      result = cSetItemSurfaceColor(hChart, CurObj, SURFACE_FRONT, White)
      result = cSetItemSurfaceColor(hChart, CurObj, SURFACE_SIDE, White)
      
      ' Indicate selected point in the point chart
      result = cSetPointSymbol(hChart, CurObj, SYM_CHAR, Asc("X"))

      Cho1.ChartId = hChart
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
   Rem Delete the chart handles
   Dim result As Integer

   hChart = 0             ' deselect any currnet chart

   result = cDeleteChart(hBar)     ' delete the bar chart
   result = cDeleteChart(hPie)     ' delete the pie chart
   result = cDeleteChart(hLine)    ' delete the line chart
   result = cDeleteChart(hHlb)     ' delete the high/low chart
End Sub

Private Sub hlb_Click()
   Dim result As Integer

   If hChart <> hHlb Then
      hChart = hHlb         ' select high/low bar chart for display
      Cho1.ChartId = hChart
   End If

End Sub

Private Sub line_Click()
   Dim result As Integer

   If hChart <> hLine Then
      hChart = hLine         ' select line/area chart for display
      Cho1.ChartId = hChart
   End If

End Sub

Private Sub pie_Click()
   Dim result As Integer

   If hChart <> hPie Then
      hChart = hPie          ' select pie chart for display
      Cho1.ChartId = hChart
   End If
End Sub

Private Sub SaveAs_Click()
   Dim result As Long
   result = cSaveChartToFile(hChart, "")
   
End Sub

Private Sub xyzPoint_Click()
   Dim result As Integer

   If hChart <> hPoint Then
      hChart = hPoint        ' select point chart for display
      Cho1.ChartId = hChart
   End If

End Sub

